public final class WidgetTest {
    
    @Test
    default_constructed_widgets_are_unhappy() {
        final Widget w = new Widget();
        Assert.assertFalse(w.isHappy());
    }
    
    @Test
    using_a_happy_widget_is_ok() throws Exception {
        final Widget w = new Widget();
        w.makeHappy();
        w.use();
    }

    @Test(expected = TooSadToUse.class)
    using_an_unhappy_widget_throws() {
        final Widget w = new Widget();
        w.use();
    }
    
}
